package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.MarketExtensionLinkTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface MarketExtensionLinkRepository extends BaseRepository<MarketExtensionLinkTable> {
    List<MarketExtensionLinkTable> getAllByExtensionId(Long extensionId);

    List<MarketExtensionLinkTable> findAllByExtensionId(Long extensionId);

    List<MarketExtensionLinkTable> findAllByExtensionIdIn(List<Long> extensionIds);

    List<MarketExtensionLinkTable> getAllByExtensionIdIn(List<Long> extensionIds);

}
